{
  description = "C3D2 NixOS configurations";

  edition = 201909;

  inputs.nixpkgs.url = "github:nixos/nixpkgs-channels/nixos-20.03";
  inputs.hydra.url = "github:ehmry/hydra/sotest";

  outputs = { self, nixpkgs, hydra }: {

    nixosConfigurations = {

      server7 = nixpkgs.lib.nixosSystem {
        modules = [ ./hosts/server7 hydra.nixosModules.hydra ];
        system = "x86_64-linux";
      };

      hydra = nixpkgs.lib.nixosSystem {
        modules = [ ./hosts/hydra/configuration.nix ];
        system = "x86_64-linux";
      };

      pulsebert = nixpkgs.lib.nixosSystem {
        modules = [ ./hosts/pulsebert/configuration.nix ];
        system = "x86_64-linux";
      };

    };

    nixosModules.c3d2 = import ./lib;

  };
}
