# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
  imports =
    [ ../../../lib/lxc-container.nix
    ../../../lib/shared.nix
    ../../../lib/admins.nix
  ];

  environment.systemPackages = with pkgs; [
    nixops 
    pass
    gnupg
    ansible
    manpages
    man
    zsh
    vim
    screen
    tmux
    htop
  ];

  networking = {
    hostName = "deployer";
    # usePredictableInterfacenames = false;
    # interfaces.ens18.ipv4.addresses = [{
    #     address = "172.20.73.7";
    #     prefixLength = 26;
    # }];
    # interfaces.ens18.ipv6.addresses = [{
    #     address= "2a02:8106:208:5282:8c15:86ff:fe0f:b018";
    #     prefixLength = 64;
    # }];

    # nameservers = [ "172.20.72.6" "9.9.9.9" ];

    # defaultGateway = {
    #    address = "172.20.73.1";
    #    interface = "eth0@if23";
    # };
    # #defaultGateway6 = {
    #  address = "fe80::a800:42ff:fe7a:3246";
    #  interface = "ens18";
    #};
    firewall.allowedTCPPorts = [ 
      22
    ];
  };

  services.openssh = {
    enable = true;
    permitRootLogin = "yes";
  };

  nix.buildCores = 32;
  nix.maxJobs = 32;

  users.extraUsers.k-ot = {
     isNormalUser = true;
     uid = 1000;
    extraGroups = [ "wheel" ];
  };

  security.sudo.wheelNeedsPassword = false;

  system.stateVersion = "19.09"; # Did you read the comment?

}
