{ config, pkgs, lib, ... }:

let
  tiggerGit = builtins.fetchTarball https://github.com/astro/tigger/archive/master.tar.gz;
in
{
  imports =
    [ ../../../lib/lxc-container.nix
      ../../../lib/shared.nix
      ../../../lib/admins.nix
      "${tiggerGit}/module.nix"
    ];

  networking.hostName = "mucbot";
  networking.useNetworkd = true;
  networking.useDHCP = false;
  networking.interfaces.eth0.useDHCP = true;
  networking.nameservers = [ "172.20.73.8" "172.20.72.6" "172.20.72.10" "9.9.9.9" ];
  services.resolved.enable = false;

  users.users.tigger = {
    createHome = true;
    isNormalUser = true;
    group = "tigger";
  };
  users.groups.tigger = {};
  services.tigger = {
    enable = true;
    user = "tigger";
    group = "tigger";
    jid = import ../../../secrets/hosts/mucbot/jabber-jid.nix;
    password = import ../../../secrets/hosts/mucbot/jabber-password.nix;
    mucs = [ "c3d2@chat.c3d2.de/Astrobot" "international@chat.c3d2.de/Astrobot" ];
  };

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "18.09"; # Did you read the comment?
}
