# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
  imports =
    [ ../../../lib/lxc-container.nix
      ../../../lib/shared.nix
      ../../../lib/admins.nix
      ../../../lib/default-gateway.nix
      ./proxy.nix
    ];

  networking.hostName = "public-access-proxy";
  networking.useNetworkd = true;
  networking.dhcpcd.enable = lib.mkForce true;

  my.services.proxy = {
    enable = true;
    proxyHosts = [
      {
        hostNames = [ "cloud.bombenverleih.de" "unifi.arkom.men" ];
        proxyTo = { host = "172.22.99.192"; httpPort = 80; httpsPort = 443; };
      }
    ];
  };

  networking.firewall.allowedTCPPorts = [ 
    80
    443
   ];

  system.stateVersion = "18.09"; # Did you read the comment?

}
