{ config, pkgs, lib, ... }:

let
  spacemsgGit = builtins.fetchGit https://github.com/astro/spacemsg.git;
in
{
  imports =
    [ ../../../lib/lxc-container.nix
      ../../../lib/shared.nix
      ../../../lib/admins.nix
      ../../../lib/default-gateway.nix
      "${spacemsgGit}/spaceapi/module.nix"
    ];

  networking.hostName = "spaceapi";
  networking.useNetworkd = true;
  networking.useDHCP = lib.mkForce true;
  networking.firewall.allowedTCPPorts = [ 3000 3001 ];

  services.spaceapi = {
    enable = true;
  };

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "19.03"; # Did you read the comment?
}
