{ pkgs, ... }:

let tty = "tty1";
in {
  boot.extraTTYs = [ tty ];

  systemd.services.ncmpcpp = {
    description = "Mpd console";
    wantedBy = [ "multi-user.target" ];
    conflicts = [ "getty@${tty}.service" ];
    serviceConfig = {
      User = "k-ot";
      ExecStart = "${pkgs.ncmpcpp}/bin/ncmpcpp";
      StandardInput = "tty";
      StandardOutput = "tty";
      TTYPath = "/dev/${tty}";
      TTYReset = true;
      TTYVTDisallocate = true;
      Restart = "always";
    };
  };

}
