{ lib, ... }:

let
  containerFunc = name:
    # Generate a container expression from the directory at `name`.
    {
      inherit name;
      value = import (./. + "/${name}") name;
    };

  containerDir = builtins.readDir ../containers;
  containerSubdirs =
    lib.filterAttrs (_: kind: kind == "directory") containerDir;
  containerNames = builtins.attrNames containerSubdirs;

  containers = builtins.listToAttrs (map containerFunc containerNames);

in {
  boot.enableContainers = true;
  inherit containers;

  imports = [ ../../../lib/lxc ];
  lxc.containers = {
    trivial = {
      nixos-config = "/tmp/trivial.nix";
      lxc = { };
    };
  };
}
