name:

(import ../outer-defaults.nix name) // {

  ephemeral = true;

  config = { config, pkgs, lib, ... }: {
    imports = [ ../inner-defaults.nix ];
    c3d2.hq.yggdrasil.enableGateway = true;
    networking.firewall.enable = false;
    networking.interfaces.eth0.useDHCP = true;
    security.acme = {
      acceptTerms = true;
      email = "mail@c3d2.de";
    };
    services.nginx = {
      enable = true;
      recommendedGzipSettings = true;
      recommendedProxySettings = true;
      virtualHosts = {
        "hydra7.hq.c3d2.de" = {
          forceSSL = true;
          enableACME = true;
          locations."/".proxyPass = "http://172.22.99.245:3000";
        };
        "hydra7.y.c3d2.de" = {
          default = true;
          addSSL = false;
          locations."/".proxyPass = "http://172.22.99.245:3000";
        };
      };
    };
  };

}
