{ config, lib, pkgs, ... }:

{
  services.hydra-dev = {
    enable = true;
    debugServer = true;
    extraEnv.HYDRA_DEBUG = "1";
    hydraURL = "https://server7.hq.c3d2.de";
    logo = ./hydra.svg;
    notificationSender = "hydra@spam.works";
    # package = pkgs.hydra-unstable;
    listenHost = "172.22.99.245";
    # listenHost = "*";
    useSubstitutes = true;
    minimumDiskFree = 2;
    minimumDiskFreeEvaluator = 2;
    extraConfig = ''
      <sotest>
      authfile = /var/lib/hydra/sotest.auth
      </sotest>
    '';
  };

  nix.trustedUsers = [ "hydra" ];

  nix.buildMachines = [{
    hostName = "localhost";
    system = "x86_64-linux";
    supportedFeatures = [ "kvm" "nixos-test" "big-parallel" "benchmark" ];
    maxJobs = 8;
  }];

  nix.binaryCachePublicKeys =
    [ "nix-serve.hq.c3d2.de-2:elqZouiiQP4XNfmEekwXH/YRPL1pXlN5JgVSzT1Ctoc=" ];
  nix.binaryCaches = [ "http://nix-serve.hq.c3d2.de" ];

  services.nginx = {
    enable = true;
    virtualHosts = {
      "server7.hq.c3d2.de" = {
        addSSL = true;
        enableACME = true;
        globalRedirect = "hydra7.hq.c3d2.de";
      };
    };
  };


}
