{ config, ... }:

{
  nix.sshServe.enable = true;

  services.nix-serve = {
    enable = true;
    secretKeyFile = "/var/lib/nix-serve.key";
  };

  services.nginx = {
    enable = true;
    virtualHosts = {
      "cache.server7.hq.c3d2.de" = {
        addSSL = true;
        enableACME = true;
        locations."/".proxyPass =
          "http://${config.services.nix-serve.bindAddress}:${
            toString config.services.nix-serve.port
          }";
      };
    };
  };

}

