{ config, pkgs, lib, ... }:

let yggaddr = import ./yggaddr.nix;
in {
  boot.kernel.sysctl."net.ipv6.conf.all.forwarding" = 1;

  networking.interfaces.br0.ipv6.addresses = [{
    address = yggaddr.prefix + ":1";
    prefixLength = 24;
  }];

  services.radvd = {
    enable = true;
    config = ''
      interface enp2s0f1
      {
      	AdvSendAdvert on;
      	prefix ${yggaddr.prefix}:/64 {
      		AdvOnLink on;
      		AdvAutonomous on;
      		};
      	route 200::/7 {};
      };
    '';
  };
}
