{ pkgs ? import <nixpkgs> {},
  src ? builtins.fetchGit "https://gitlab.freifunk-dresden.de/firmware-developer/firmware.git",
}:

with pkgs;
let
  path = "${src}/feeds/19.07/feeds-own/bmxd";
  makefile = builtins.readFile "${path}/Makefile";
  makeDef = name:
    builtins.elemAt (builtins.match ".*?${name}:=([^\n]+).*?" makefile) 0;
  name = makeDef "PKG_NAME";
  version = makeDef "PKG_VERSION";
  release = makeDef "PKG_RELEASE";
in stdenv.mkDerivation {
  name = "${name}-${version}-${release}";
  src = "${path}/sources";
  installPhase = ''
    make install SBINDIR=$out/sbin
  '';
}
